> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/rest-api/parameters/patch.md).

# patch

## HTTP Request

```http
PATCH /workflows/:workflowReference/parameters/:parameterReference
```

## Path parameters

| Parameter          |                                                                                                                                     |
| ------------------ | ----------------------------------------------------------------------------------------------------------------------------------- |
| parameterReference | A scoped reference to the notebook. See [referencing resources](/api/referencing-resources.md) for more information.                |
| workflowReference  | A qualified reference to the parameter's workflow. See [referencing resources](/api/referencing-resources.md) for more information. |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md).
{% endhint %}

## Authorization

You must have edit access to the underlying workflow, and hour access token must have one of the following scopes:

* workflow\.write

[Learn more about authorization.](/api/rest-api/authorization.md)

## Request body

Provide a JSON object with information about the parameter.

| Property name | Type       | Description                                                                                                                                                                                                                                                                                                     |
| ------------- | ---------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **name**      | **string** | The updated name of the parameter. Must be unique within the workflow.                                                                                                                                                                                                                                          |
| **values**    | **list**   | A list of values associated with the parameter. Will overwrite any existing values.                                                                                                                                                                                                                             |
| **type**      | **string** | <p>The parameter's type. If not specified, type will be inferred based on the set of values.<br><br>Must be one of the allowed Redivis types, except for <code>geography</code>. Specifically, one of: </p><ul><li>boolean</li><li>integer</li><li>float</li><li>string</li><li>date</li><li>dateTime</li></ul> |

## Response body

The response body will contain a JSON representation of a [parameter.get resource](/api/resource-definitions/parameter.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/api/rest-api/parameters/patch.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
